Alokai

SapccApiDoApplyCartVoucherRequest

Request parameters for doApplyCartVoucher operation in SapccApi. SapccApiDoApplyCartVoucherRequest

interface SapccApiDoApplyCartVoucherRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly userId: string;
	readonly voucherId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiDoApplyCartVoucher
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiDoApplyCartVoucher
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiDoApplyCartVoucher
voucherIdRequiredstringVoucher identifier (code) {string} SapccApiDoApplyCartVoucher

On this page